> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/52.-zapytanie-pobierz-dane-siatkowe-z-soildataset.md).

# 52. Zapytanie: Pobierz dane siatkowe z „SoilDataset”

Zapytanie pobierające dane siatkowe z zestawu rastrowego związanego z "SoilDataset" jako `GEOJSON`  z punktami lub `GEOTIFF`. Atrybut properties zawiera wszystkie atrybuty zestawu danych dla każdego punktu.&#x20;

#### 1. Poproś o plik do eksportu

{% hint style="danger" %}
Zalecane pobieranie tylko jednego zestawu danych za pomocą `sourceDataUrl` na żądanie.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, oraz `MinusTwoPixels` są dostępne jako `bufor`.

`GEOJSON` i `GEOTIFF` są dostępne jako format.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
zapytanie GetGriddedDataFromSoilDataset {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets(soilDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Pobierz wygenerowany plik

Po pomyślnym przygotowaniu pliku można go pobrać używając `curl` lub podobnego podejścia.

{% hint style="danger" %}
`sourceDataUrl` link jest dostępny tylko przez **60 sek.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/52.-zapytanie-pobierz-dane-siatkowe-z-soildataset.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
